{ pkgs, ... }: {
  home.packages = with pkgs; [ pass seahorse gnome-keyring pinentry-all ];

  services.gnome-keyring.enable = true;
  programs.gpg.enable = true;
  services.gpg-agent = {
    enable = true;
    maxCacheTtl = 604800;
    defaultCacheTtl = 604800;
    enableSshSupport = true;
    enableZshIntegration = true;
    verbose = true;
    enableScDaemon = false;
    pinentryPackage = pkgs.pinentry-all;
  };
}
